import { useState } from 'react';
import App1 from './App1.tsx';
import App2 from './App2.tsx';

export function AppSwitch() {
    const [app, setApp] = useState('app2');

    return (
        <div className="flex flex-col items-center justify-center h-screen relative">
            <div className='absolute top-0 right-0 z-50'>
                <select className='bg-gray-200 p-2 rounded-md' value={app} onChange={(e) => setApp(e.target.value)}>
                    <option value="app1">App 1</option>
                    <option value="app2">App 2</option>
                    <option value="app3">App 3</option>
                </select>
            </div>
            <div className="w-full h-full flex items-center justify-center">
                {app === 'app1' && <App1 />}
                {app === 'app2' && <App2 />}
                {app === 'app3' && <div>App 3</div>}
            </div>
        </div>
    );
}