/// <reference lib="webworker" />

import { generateGlobeTextureData } from "./texture-generator";

// Worker 메시지 리스너
self.onmessage = (event: MessageEvent<{ width: number, height: number, seed?: number }>) => {
    const { width, height, seed } = event.data;
    console.log("Worker: ", width, height, seed);
    const textureData = generateGlobeTextureData(width, height, seed);
    // 생성된 데이터를 메인 스레드로 전송 (Transferable Object로 성능 향상)
    self.postMessage(textureData,
        // transferable objects
        [textureData.data.buffer]
    );
};

export {}; // 모듈로 인식시키기 위함